@import 'variables';

.conversion-box {
  display: flex;
  flex-direction: column;
  border: 1px solid rgba($default-border-color, 0.5);
  width: 450px;
  border-radius: 8px;
  box-shadow: 0px 0px 15px 0px rgba($gray-medium, 0.3);

  &__input {
    font-size: 50px;
    text-align: center;
  }

  &__value {
    padding: 0 20px 0 20px;
  }

  &__icons {
    align-self: flex-end;
  }

  &__icon {
    color: $gray-medium;
    font-size: 22px;
    margin: 0 15px 15px 0;
    &:hover {
      cursor: pointer;
      color: $primary-color;
    }
  }

  &__units {
    border-radius: 8px;
  }

  & ::ng-deep .mat-form-field-wrapper {
    padding: 0 0 0 0;
  }

  & ::ng-deep .mat-form-field-underline {
    display: none;
  }

  & mat-panel-title {
    font-weight: bold;
  }

  & mat-expansion-panel {
    box-shadow: none;
    background-color: transparent;
    border-top: 1px solid rgba($default-border-color, 0.5);
  }

  & ::ng-deep .mat-expansion-indicator::after {
    padding: 0;
    border-width: 5px 5px 5px 5px;
    border-color: $primary-color $primary-color transparent transparent;
    transform: rotate(135deg);
  }

  & ::ng-deep .mat-input-element:disabled {
    color: $default-text-color;
  }

  ::ng-deep .conversion-box__tooltip.mat-tooltip {
    background-color: $white;
    color: $gray-dark;
    font-size: 14px;
    box-shadow: 0px 3px 10px 0px $gray-light;
    margin: 0px 0px 15px 0px;
    padding: 10px 10px 10px 10px;
    border-radius: 8px;
    overflow: inherit;

    &:after {
      display: block;
      position: absolute;
      left: calc(50% - 6px);
      content: '';
      width: 12px;
      height: 12px;
      border: 6px solid $white;
      border-color: $white $white transparent transparent;
      transform: rotate(135deg);
      box-shadow: 5px -5px 10px -1px $gray-light;
    }
  }
}

.filter-box {
  border: 1px solid $gray-light;
  border-radius: 5px;
  padding: 10px;
  margin: 10px 0;
  font-size: 1.1em;
}

.conversion-units {
  overflow-y: auto;
  max-height: 400px;

  &__unit {
    margin: 0 0 10px 3px;
    &:hover {
      cursor: pointer;
      color: $primary-color;
    }
  }
}
